Bug 328906 - [file-layer] string of the check-box 'Scale To Image Resolution' mislead user about the feature
Summary: [file-layer] string of the check-box 'Scale To Image Resolution' mislead user...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Layer Stack (show other bugs)
Version: 2.8 Pre-Alpha
Platform: Compiled Sources Linux
: NOR minor
Target Milestone: ---
Assignee: Halla Rempt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-17 13:28 UTC by David REVOY
Modified: 2013-12-19 10:05 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David REVOY 2013-12-17 13:28:16 UTC
Hi, in the 'file layer' setup dialog, the string 'Scale To Image Resolution' mislead user about the feature.

* How to reproduce :
When you create a new 'File layer' on the layer docker , a modal windows appear proposing :
- A name field ( autofilled )
- A field to browse for a file
- and a check-box 'Scale To Image Resolution'  <-- the problem is here. 
 'Scale To Image Resolution' text is a bit confusing because I thought it would adapt the imported File height and width to 'fit' in my actual project. So, I thought after 'applying' that the feature was broken. Instead of it, I learned it adapt the ppi. 

* Proposition to solve :
Change the text string to "Scale To Image Resolution ( adapt to the ppi of the target )" or something more explicit , or create the new feature to adapt with and height of the imported File layer to the width and height of the document.
Comment 1 animtim 2013-12-17 13:49:39 UTC
I agree with this..
I propose to change the label to "Scale To Image Resolution (ppi) " , and -feature request- add a second option labeled "Scale To Image Size", which would adapt width and height of the imported File layer to the width and height of the document.

Having both choices to either adapt to file resolution (with ppi, as it works now) or to file size (as explained here) would be great, as both can be useful for different cases.
Comment 2 animtim 2013-12-17 13:53:55 UTC
Or maybe so "Adapt To Image Resolution (ppi)" would be even better for this option.
Comment 3 David REVOY 2013-12-17 15:14:17 UTC
Indeed , "Adapt To Image Resolution (ppi)" sounds good.
Comment 4 Halla Rempt 2013-12-18 11:46:40 UTC
Git commit de1b6cccfe1dfb9fa624fc5e37f277cbb8ac08c2 by Boudewijn Rempt.
Committed on 18/12/2013 at 11:45.
Pushed by rempt into branch 'calligra/2.8'.

M  +11   -2    krita/ui/dialogs/kis_dlg_file_layer.cpp
M  +3    -1    krita/ui/dialogs/kis_dlg_file_layer.h
M  +32   -12   krita/ui/forms/wdgdlgfilelayer.ui
M  +12   -15   krita/ui/kis_file_layer.cpp
M  +12   -4    krita/ui/kis_file_layer.h
M  +2    -2    krita/ui/kis_layer_manager.cc
M  +10   -1    krita/ui/kra/kis_kra_loader.cpp
M  +11   -2    krita/ui/kra/kis_kra_savexml_visitor.cpp

http://commits.kde.org/calligra/de1b6cccfe1dfb9fa624fc5e37f277cbb8ac08c2
Comment 5 Halla Rempt 2013-12-18 12:42:05 UTC
13:33:31 < deevad> boud:  I just tested the 'File Layer' new options on 2.8 ; got : Scale to width/height =  do not work ; and no Scale = crash (reproductible ) http://pastebin.kde.org/pquc3y1c2 .



    Application: Krita (krita), signal: Segmentation fault
    Using host libthread_db library "/usr/lib/libthread_db.so.1".
    [Current thread is 1 (Thread 0x7f0b95f047c0 (LWP 18780))]
     
    Thread 10 (Thread 0x7f0b6f5ef700 (LWP 18783)):
    #0  0x00007f0b8dde403f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
    #1  0x00007f0b8e071266 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
    #2  0x00007f0b8e06d40b in QSemaphore::acquire(int) () from /usr/lib/libQtCore.so.4
    #3  0x00007f0b94d5d59e in KisTileDataPooler::waitForWork (this=this@entry=0x2661790) at /home/deevad/kde4/src/calligra/krita/image/tiles3/kis_tile_data_pooler.cc:162
    #4  0x00007f0b94d5d96d in KisTileDataPooler::run (this=0x2661790) at /home/deevad/kde4/src/calligra/krita/image/tiles3/kis_tile_data_pooler.cc:184
    #5  0x00007f0b8e070d8f in ?? () from /usr/lib/libQtCore.so.4
    #6  0x00007f0b8dde00a2 in start_thread () from /usr/lib/libpthread.so.0
    #7  0x00007f0b8d2f549d in clone () from /usr/lib/libc.so.6
     
    Thread 9 (Thread 0x7f0b6edee700 (LWP 18784)):
    #0  0x00007f0b8dde403f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
    #1  0x00007f0b8e071266 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
    #2  0x00007f0b8e06d813 in QSemaphore::tryAcquire(int, int) () from /usr/lib/libQtCore.so.4
    #3  0x00007f0b94d7a093 in KisTileDataSwapper::waitForWork (this=<optimized out>) at /home/deevad/kde4/src/calligra/krita/image/tiles3/swap/kis_tile_data_swapper.cpp:86
    #4  0x00007f0b94d7a31a in KisTileDataSwapper::run (this=0x26617c8) at /home/deevad/kde4/src/calligra/krita/image/tiles3/swap/kis_tile_data_swapper.cpp:92
    #5  0x00007f0b8e070d8f in ?? () from /usr/lib/libQtCore.so.4
    #6  0x00007f0b8dde00a2 in start_thread () from /usr/lib/libpthread.so.0
    #7  0x00007f0b8d2f549d in clone () from /usr/lib/libc.so.6
     
    Thread 8 (Thread 0x7f0b6d7a2700 (LWP 18806)):
    #0  0x00007f0b8dde403f in pthread_cond_wait@@GLIBC_2.3.2 () from /usr/lib/libpthread.so.0
    #1  0x00007f0b8e071266 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
    #2  0x00007f0b8f51b796 in ?? () from /usr/lib/libQtGui.so.4
    #3  0x00007f0b8e070d8f in ?? () from /usr/lib/libQtCore.so.4
    #4  0x00007f0b8dde00a2 in start_thread () from /usr/lib/libpthread.so.0
    #5  0x00007f0b8d2f549d in clone () from /usr/lib/libc.so.6
     
    Thread 7 (Thread 0x7f0b6dfa3700 (LWP 18807)):
    #0  0x00007f0b8d2ee653 in select () from /usr/lib/libc.so.6
    #1  0x00007f0b8e19b4db in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
    #2  0x00007f0b8e1a0ac4 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
    #3  0x00007f0b8e1a0f12 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #4  0x00007f0b8e16fb1f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #5  0x00007f0b8e16fe15 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #6  0x00007f0b8e06e6ef in QThread::exec() () from /usr/lib/libQtCore.so.4
    #7  0x00007f0b8e1512c3 in ?? () from /usr/lib/libQtCore.so.4
    #8  0x00007f0b8e070d8f in ?? () from /usr/lib/libQtCore.so.4
    #9  0x00007f0b8dde00a2 in start_thread () from /usr/lib/libpthread.so.0
    #10 0x00007f0b8d2f549d in clone () from /usr/lib/libc.so.6
     
    Thread 6 (Thread 0x7f0b0f7fe700 (LWP 18830)):
    #0  0x00007f0b8d2ee653 in select () from /usr/lib/libc.so.6
    #1  0x00007f0b8e19b4db in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
    #2  0x00007f0b8e1a0ac4 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
    #3  0x00007f0b8e1a0f12 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #4  0x00007f0b8e16fb1f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #5  0x00007f0b8e16fe15 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #6  0x00007f0b8e06e6ef in QThread::exec() () from /usr/lib/libQtCore.so.4
    #7  0x00007f0b8e1512c3 in ?? () from /usr/lib/libQtCore.so.4
    #8  0x00007f0b8e070d8f in ?? () from /usr/lib/libQtCore.so.4
    #9  0x00007f0b8dde00a2 in start_thread () from /usr/lib/libpthread.so.0
    #10 0x00007f0b8d2f549d in clone () from /usr/lib/libc.so.6
     
    Thread 5 (Thread 0x7f0b0effd700 (LWP 18833)):
    #0  0x00007f0b8d2ee653 in select () from /usr/lib/libc.so.6
    #1  0x00007f0b8e14e013 in ?? () from /usr/lib/libQtCore.so.4
    #2  0x00007f0b8e070d8f in ?? () from /usr/lib/libQtCore.so.4
    #3  0x00007f0b8dde00a2 in start_thread () from /usr/lib/libpthread.so.0
    #4  0x00007f0b8d2f549d in clone () from /usr/lib/libc.so.6
     
    Thread 4 (Thread 0x7f0b0e7fc700 (LWP 18839)):
    #0  0x00007f0b8d2ee653 in select () from /usr/lib/libc.so.6
    #1  0x00007f0b8e19b4db in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
    #2  0x00007f0b8e1a0ac4 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
    #3  0x00007f0b8e1a0f12 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #4  0x00007f0b8e16fb1f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #5  0x00007f0b8e16fe15 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #6  0x00007f0b8e06e6ef in QThread::exec() () from /usr/lib/libQtCore.so.4
    #7  0x00007f0b8e1512c3 in ?? () from /usr/lib/libQtCore.so.4
    #8  0x00007f0b8e070d8f in ?? () from /usr/lib/libQtCore.so.4
    #9  0x00007f0b8dde00a2 in start_thread () from /usr/lib/libpthread.so.0
    #10 0x00007f0b8d2f549d in clone () from /usr/lib/libc.so.6
     
    Thread 3 (Thread 0x7f0b36733700 (LWP 18875)):
    #0  0x00007f0b8d2ee653 in select () from /usr/lib/libc.so.6
    #1  0x00007f0b8e19b4db in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
    #2  0x00007f0b8e1a0ac4 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
    #3  0x00007f0b8e1a0f12 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #4  0x00007f0b8e16fb1f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #5  0x00007f0b8e16fe15 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #6  0x00007f0b8e06e6ef in QThread::exec() () from /usr/lib/libQtCore.so.4
    #7  0x00007f0b8e1512c3 in ?? () from /usr/lib/libQtCore.so.4
    #8  0x00007f0b8e070d8f in ?? () from /usr/lib/libQtCore.so.4
    #9  0x00007f0b8dde00a2 in start_thread () from /usr/lib/libpthread.so.0
    #10 0x00007f0b8d2f549d in clone () from /usr/lib/libc.so.6
     
    Thread 2 (Thread 0x7f0b52eb1700 (LWP 18948)):
    #0  0x00007f0b8d2ee653 in select () from /usr/lib/libc.so.6
    #1  0x00007f0b8e19b4db in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/libQtCore.so.4
    #2  0x00007f0b8e1a0ac4 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/libQtCore.so.4
    #3  0x00007f0b8e1a0f12 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #4  0x00007f0b8e16fb1f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #5  0x00007f0b8e16fe15 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #6  0x00007f0b8e06e6ef in QThread::exec() () from /usr/lib/libQtCore.so.4
    #7  0x00007f0b8e1512c3 in ?? () from /usr/lib/libQtCore.so.4
    #8  0x00007f0b8e070d8f in ?? () from /usr/lib/libQtCore.so.4
    #9  0x00007f0b8dde00a2 in start_thread () from /usr/lib/libpthread.so.0
    #10 0x00007f0b8d2f549d in clone () from /usr/lib/libc.so.6
     
    Thread 1 (Thread 0x7f0b95f047c0 (LWP 18780)):
    [KCrash Handler]
    #5  KisPaintDevice::colorSpace (this=0x0) at /home/deevad/kde4/src/calligra/krita/image/kis_paint_device.cc:1010
    #6  0x00007f0b535c6402 in SpecificColorSelectorDock::layerChanged (this=0x8f6cfc0, node=...) at /home/deevad/kde4/src/calligra/krita/plugins/extensions/dockers/specificcolorselector/specificcolorselector_dock.cc:86
    #7  0x00007f0b535c6443 in SpecificColorSelectorDock::qt_static_metacall (_o=<optimized out>, _a=<optimized out>, _id=<optimized out>, _c=<optimized out>) at /home/deevad/kde4/build/calligra/krita/plugins/extensions/dockers/specificcolorselector/specificcolorselector_dock.moc:49
    #8  0x00007f0b8e184b48 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
    #9  0x00007f0b9525bac5 in KisCanvasResourceProvider::sigNodeChanged (this=this@entry=0x9312100, _t1=...) at /home/deevad/kde4/build/calligra/krita/ui/kis_canvas_resource_provider.moc:194
    #10 0x00007f0b9525c196 in KisCanvasResourceProvider::slotCanvasResourceChanged (this=0x9312100, key=6006, res=...) at /home/deevad/kde4/src/calligra/krita/ui/kis_canvas_resource_provider.cpp:339
    #11 0x00007f0b9525e25f in KisCanvasResourceProvider::qt_static_metacall (_o=0x0, _c=489233168, _id=1, _a=0x7fff754e2840) at /home/deevad/kde4/build/calligra/krita/ui/kis_canvas_resource_provider.moc:117
    #12 0x00007f0b8e184b48 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
    #13 0x00007f0b923dea33 in KoCanvasResourceManager::canvasResourceChanged (this=<optimized out>, _t1=_t1@entry=6006, _t2=...) at /home/deevad/kde4/build/calligra/libs/flake/KoCanvasResourceManager.moc:112
    #14 0x00007f0b923dea66 in KoCanvasResourceManager::setResource (this=<optimized out>, key=key@entry=6006, value=...) at /home/deevad/kde4/src/calligra/libs/flake/KoCanvasResourceManager.cpp:57
    #15 0x00007f0b9525bb75 in KisCanvasResourceProvider::slotNodeActivated (this=0x9312100, node=...) at /home/deevad/kde4/src/calligra/krita/ui/kis_canvas_resource_provider.cpp:266
    #16 0x00007f0b952a2542 in KisLayerManager::activateLayer (this=0xc77e2f0, layer=...) at /home/deevad/kde4/src/calligra/krita/ui/kis_layer_manager.cc:273
    #17 0x00007f0b952b2c96 in KisNodeManager::Private::activateNodeImpl (this=0xc77e130, node=...) at /home/deevad/kde4/src/calligra/krita/ui/kis_node_manager.cpp:116
    #18 0x00007f0b952b3e02 in KisNodeManager::slotNonUiActivatedNode (this=0xc77e080, node=...) at /home/deevad/kde4/src/calligra/krita/ui/kis_node_manager.cpp:467
    #19 0x00007f0b952bc222 in KisNodeManager::qt_static_metacall (_o=0x0, _c=489233168, _id=1, _a=0x7fff754e2840) at /home/deevad/kde4/build/calligra/krita/ui/kis_node_manager.moc:112
    #20 0x00007f0b8e184b48 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
    #21 0x00007f0b95208e35 in KisDummiesFacadeBase::sigActivateNode (this=this@entry=0x5b02430, _t1=...) at /home/deevad/kde4/build/calligra/krita/ui/moc_kis_dummies_facade_base.cpp:189
    #22 0x00007f0b9523fdde in KisDummiesFacadeBase::slotNodeActivationRequested (this=0x5b02430, node=...) at /home/deevad/kde4/src/calligra/krita/ui/flake/kis_dummies_facade_base.cpp:109
    #23 0x00007f0b95208fb2 in KisDummiesFacadeBase::qt_static_metacall (_o=0x0, _c=489233168, _id=1, _a=0x7fff754e2840) at /home/deevad/kde4/build/calligra/krita/ui/moc_kis_dummies_facade_base.cpp:88
    #24 0x00007f0b8e184b48 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
    #25 0x00007f0b94decc55 in KisImage::sigNodeAddedAsync (this=<optimized out>, _t1=...) at /home/deevad/kde4/build/calligra/krita/image/kis_image.moc:286
    #26 0x00007f0b94dedd2f in KisImage::qt_static_metacall (_o=0x0, _c=489233168, _id=1, _a=0x7fff754e3050) at /home/deevad/kde4/build/calligra/krita/image/kis_image.moc:135
    #27 0x00007f0b8e184b48 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
    #28 0x00007f0b94d589b5 in KisImageSignalRouter::sigNodeAddedAsync (this=this@entry=0x589ec70, _t1=...) at /home/deevad/kde4/build/calligra/krita/image/moc_kis_image_signal_router.cpp:178
    #29 0x00007f0b94df696c in KisImageSignalRouter::emitNodeHasBeenAdded (this=0x589ec70, parent=parent@entry=0x5f32900, index=index@entry=1) at /home/deevad/kde4/src/calligra/krita/image/kis_image_signal_router.cpp:78
    #30 0x00007f0b94df313f in KisImage::nodeHasBeenAdded (this=0x5f3ce90, parent=0x5f32900, index=1) at /home/deevad/kde4/src/calligra/krita/image/kis_image.cc:190
    #31 0x00007f0b94e083eb in KisNode::add (this=0x5f32900, newNode=..., aboveThis=...) at /home/deevad/kde4/src/calligra/krita/image/kis_node.cpp:373
    #32 0x00007f0b94e09129 in KisNodeFacade::addNode (this=<optimized out>, node=..., parent=..., aboveThis=...) at /home/deevad/kde4/src/calligra/krita/image/kis_node_facade.cpp:123
    #33 0x00007f0b94d95d93 in KisImageLayerAddCommand::redo (this=0x1d318ef0) at /home/deevad/kde4/src/calligra/krita/image/commands/kis_image_layer_add_command.cpp:61
    #34 0x00007f0b9108eaad in KUndo2QStack::push (this=0x58dc020, cmd=0x1d318ef0) at /home/deevad/kde4/src/calligra/libs/kundo2/kundo2stack.cpp:570
    #35 0x00007f0b94e3a5c3 in KisLegacyUndoAdapter::addCommand (this=0x5bb0700, command=0x1d318ef0) at /home/deevad/kde4/src/calligra/krita/image/kis_legacy_undo_adapter.cpp:51
    #36 0x00007f0b952b0332 in KisNodeCommandsAdapter::addNode (this=<optimized out>, node=..., parent=..., aboveThis=...) at /home/deevad/kde4/src/calligra/krita/ui/kis_node_commands_adapter.cpp:60
    #37 0x00007f0b952a550a in KisLayerManager::addLayerCommon (this=this@entry=0xc77e2f0, activeNode=..., layer=...) at /home/deevad/kde4/src/calligra/krita/ui/kis_layer_manager.cc:516
    #38 0x00007f0b952a64bd in KisLayerManager::addFileLayer (this=0xc77e2f0, activeNode=...) at /home/deevad/kde4/src/calligra/krita/ui/kis_layer_manager.cc:880
    #39 0x00007f0b952b8e18 in KisNodeManager::createNode (this=0xc77e080, nodeType=..., quiet=<optimized out>) at /home/deevad/kde4/src/calligra/krita/ui/kis_node_manager.cpp:428
    #40 0x00007f0b952bc1cb in KisNodeManager::qt_static_metacall (_o=0x0, _c=489233168, _id=1, _a=0x7fff754e2840) at /home/deevad/kde4/build/calligra/krita/ui/kis_node_manager.moc:121
    #41 0x00007f0b8e184b48 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
    #42 0x00007f0b8e18c2d5 in QSignalMapper::mapped(QString const&) () from /usr/lib/libQtCore.so.4
    #43 0x00007f0b8e18c3f0 in QSignalMapper::map(QObject*) () from /usr/lib/libQtCore.so.4
    #44 0x00007f0b8e184b48 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
    #45 0x00007f0b8f03cfd2 in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4
    #46 0x00007f0b8f03e9a3 in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4
    #47 0x00007f0b8f467db9 in ?? () from /usr/lib/libQtGui.so.4
    #48 0x00007f0b8f46c2e9 in ?? () from /usr/lib/libQtGui.so.4
    #49 0x00007f0b8fe194b5 in KMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libkdeui.so.5
    #50 0x00007f0b8f09267e in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
    #51 0x00007f0b8f4700bb in QMenu::event(QEvent*) () from /usr/lib/libQtGui.so.4
    #52 0x00007f0b8f04312c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
    #53 0x00007f0b8f04982d in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
    #54 0x00007f0b949ccc57 in KoApplication::notify (this=<optimized out>, receiver=0x92871d0, event=0x7fff754e4230) at /home/deevad/kde4/src/calligra/libs/main/KoApplication.cpp:549
    #55 0x00007f0b8e170ebd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
    #56 0x00007f0b8f048fe3 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
    #57 0x00007f0b8f0baf2c in ?? () from /usr/lib/libQtGui.so.4
    #58 0x00007f0b8f0b966c in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
    #59 0x00007f0b8f0e0b20 in ?? () from /usr/lib/libQtGui.so.4
    #60 0x00007f0b8e16fb1f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #61 0x00007f0b8e16fe15 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #62 0x00007f0b8f46eeb7 in QMenu::exec(QPoint const&, QAction*) () from /usr/lib/libQtGui.so.4
    #63 0x00007f0b8f4a77e5 in ?? () from /usr/lib/libQtGui.so.4
    #64 0x00007f0b8f4a82c6 in QToolButton::mousePressEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
    #65 0x00007f0b953ad12d in KisToolButton::mouseReleaseEvent (this=0x927b360, e=<optimized out>) at /home/deevad/kde4/src/calligra/krita/ui/widgets/kis_tool_button.cpp:46
    #66 0x00007f0b8f09267e in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
    #67 0x00007f0b8f04312c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
    #68 0x00007f0b8f04982d in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
    #69 0x00007f0b949ccc57 in KoApplication::notify (this=<optimized out>, receiver=0x927b360, event=0x7fff754e4e10) at /home/deevad/kde4/src/calligra/libs/main/KoApplication.cpp:549
    #70 0x00007f0b8e170ebd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
    #71 0x00007f0b8f048fe3 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
    #72 0x00007f0b8f0babfb in ?? () from /usr/lib/libQtGui.so.4
    #73 0x00007f0b8f0b966c in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
    #74 0x00007f0b8f0e0b20 in ?? () from /usr/lib/libQtGui.so.4
    #75 0x00007f0b8e16fb1f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #76 0x00007f0b8e16fe15 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
    #77 0x00007f0b8e174f4b in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
    #78 0x00007f0b958e19c5 in kdemain (argc=<optimized out>, argv=<optimized out>) at /home/deevad/kde4/src/calligra/krita/main.cc:99
    #79 0x00007f0b8d231bc5 in __libc_start_main () from /usr/lib/libc.so.6
    #80 0x0000000000400931 in _start ()
Comment 6 Halla Rempt 2013-12-18 12:49:17 UTC
Git commit 0ff91ca0e8ef23370723bf976a882a18cb42e97c by Boudewijn Rempt.
Committed on 18/12/2013 at 12:48.
Pushed by rempt into branch 'calligra/2.8'.

Fix crash on loading a file layer

M  +1    -0    krita/plugins/extensions/dockers/specificcolorselector/specificcolorselector_dock.cc
M  +1    -1    krita/ui/kis_file_layer.cpp

http://commits.kde.org/calligra/0ff91ca0e8ef23370723bf976a882a18cb42e97c
Comment 7 Halla Rempt 2013-12-18 13:04:06 UTC
Git commit 8d1a936def6afb25afcc442624dd83d9b4cdfc25 by Boudewijn Rempt.
Committed on 18/12/2013 at 13:03.
Pushed by rempt into branch 'calligra/2.8'.

M  +10   -6    krita/ui/kis_file_layer.cpp

http://commits.kde.org/calligra/8d1a936def6afb25afcc442624dd83d9b4cdfc25
Comment 8 Halla Rempt 2013-12-19 10:05:52 UTC
Git commit 596c2c22c61648a3d0a09a318ea25c350a649164 by Boudewijn Rempt.
Committed on 19/12/2013 at 10:04.
Pushed by rempt into branch 'master'.

Port the file layer fixes to master

This contains:

commit 8d1a936def6afb25afcc442624dd83d9b4cdfc25
Author: Boudewijn Rempt <boud@valdyas.org>
Date:   Wed Dec 18 14:03:46 2013 +0100

commit 0ff91ca0e8ef23370723bf976a882a18cb42e97c
Author: Boudewijn Rempt <boud@valdyas.org>
Date:   Wed Dec 18 13:48:30 2013 +0100

    Fix crash on loading a file layer

commit de1b6cccfe1dfb9fa624fc5e37f277cbb8ac08c2
Author: Boudewijn Rempt <boud@valdyas.org>
Date:   Wed Dec 18 12:45:54 2013 +0100

M  +1    -0    krita/plugins/extensions/dockers/specificcolorselector/specificcolorselector_dock.cc
M  +11   -2    krita/ui/dialogs/kis_dlg_file_layer.cpp
M  +3    -1    krita/ui/dialogs/kis_dlg_file_layer.h
M  +32   -12   krita/ui/forms/wdgdlgfilelayer.ui
M  +17   -15   krita/ui/kis_file_layer.cpp
M  +12   -4    krita/ui/kis_file_layer.h
M  +2    -2    krita/ui/kis_layer_manager.cc
M  +10   -1    krita/ui/kra/kis_kra_loader.cpp
M  +11   -2    krita/ui/kra/kis_kra_savexml_visitor.cpp

http://commits.kde.org/calligra/596c2c22c61648a3d0a09a318ea25c350a649164
Comment 9 Halla Rempt 2013-12-19 10:05:52 UTC
Git commit 596c2c22c61648a3d0a09a318ea25c350a649164 by Boudewijn Rempt.
Committed on 19/12/2013 at 10:04.
Pushed by rempt into branch 'master'.

Port the file layer fixes to master

This contains:

commit 8d1a936def6afb25afcc442624dd83d9b4cdfc25
Author: Boudewijn Rempt <boud@valdyas.org>
Date:   Wed Dec 18 14:03:46 2013 +0100

commit 0ff91ca0e8ef23370723bf976a882a18cb42e97c
Author: Boudewijn Rempt <boud@valdyas.org>
Date:   Wed Dec 18 13:48:30 2013 +0100

    Fix crash on loading a file layer

commit de1b6cccfe1dfb9fa624fc5e37f277cbb8ac08c2
Author: Boudewijn Rempt <boud@valdyas.org>
Date:   Wed Dec 18 12:45:54 2013 +0100

M  +1    -0    krita/plugins/extensions/dockers/specificcolorselector/specificcolorselector_dock.cc
M  +11   -2    krita/ui/dialogs/kis_dlg_file_layer.cpp
M  +3    -1    krita/ui/dialogs/kis_dlg_file_layer.h
M  +32   -12   krita/ui/forms/wdgdlgfilelayer.ui
M  +17   -15   krita/ui/kis_file_layer.cpp
M  +12   -4    krita/ui/kis_file_layer.h
M  +2    -2    krita/ui/kis_layer_manager.cc
M  +10   -1    krita/ui/kra/kis_kra_loader.cpp
M  +11   -2    krita/ui/kra/kis_kra_savexml_visitor.cpp

http://commits.kde.org/calligra/596c2c22c61648a3d0a09a318ea25c350a649164
Comment 10 Halla Rempt 2013-12-19 10:05:53 UTC
Git commit 596c2c22c61648a3d0a09a318ea25c350a649164 by Boudewijn Rempt.
Committed on 19/12/2013 at 10:04.
Pushed by rempt into branch 'master'.

Port the file layer fixes to master

This contains:

commit 8d1a936def6afb25afcc442624dd83d9b4cdfc25
Author: Boudewijn Rempt <boud@valdyas.org>
Date:   Wed Dec 18 14:03:46 2013 +0100

commit 0ff91ca0e8ef23370723bf976a882a18cb42e97c
Author: Boudewijn Rempt <boud@valdyas.org>
Date:   Wed Dec 18 13:48:30 2013 +0100

    Fix crash on loading a file layer

commit de1b6cccfe1dfb9fa624fc5e37f277cbb8ac08c2
Author: Boudewijn Rempt <boud@valdyas.org>
Date:   Wed Dec 18 12:45:54 2013 +0100

M  +1    -0    krita/plugins/extensions/dockers/specificcolorselector/specificcolorselector_dock.cc
M  +11   -2    krita/ui/dialogs/kis_dlg_file_layer.cpp
M  +3    -1    krita/ui/dialogs/kis_dlg_file_layer.h
M  +32   -12   krita/ui/forms/wdgdlgfilelayer.ui
M  +17   -15   krita/ui/kis_file_layer.cpp
M  +12   -4    krita/ui/kis_file_layer.h
M  +2    -2    krita/ui/kis_layer_manager.cc
M  +10   -1    krita/ui/kra/kis_kra_loader.cpp
M  +11   -2    krita/ui/kra/kis_kra_savexml_visitor.cpp

http://commits.kde.org/calligra/596c2c22c61648a3d0a09a318ea25c350a649164
Comment 11 Halla Rempt 2013-12-19 10:05:53 UTC
Git commit 596c2c22c61648a3d0a09a318ea25c350a649164 by Boudewijn Rempt.
Committed on 19/12/2013 at 10:04.
Pushed by rempt into branch 'master'.

Port the file layer fixes to master

This contains:

commit 8d1a936def6afb25afcc442624dd83d9b4cdfc25
Author: Boudewijn Rempt <boud@valdyas.org>
Date:   Wed Dec 18 14:03:46 2013 +0100

commit 0ff91ca0e8ef23370723bf976a882a18cb42e97c
Author: Boudewijn Rempt <boud@valdyas.org>
Date:   Wed Dec 18 13:48:30 2013 +0100

    Fix crash on loading a file layer

commit de1b6cccfe1dfb9fa624fc5e37f277cbb8ac08c2
Author: Boudewijn Rempt <boud@valdyas.org>
Date:   Wed Dec 18 12:45:54 2013 +0100

M  +1    -0    krita/plugins/extensions/dockers/specificcolorselector/specificcolorselector_dock.cc
M  +11   -2    krita/ui/dialogs/kis_dlg_file_layer.cpp
M  +3    -1    krita/ui/dialogs/kis_dlg_file_layer.h
M  +32   -12   krita/ui/forms/wdgdlgfilelayer.ui
M  +17   -15   krita/ui/kis_file_layer.cpp
M  +12   -4    krita/ui/kis_file_layer.h
M  +2    -2    krita/ui/kis_layer_manager.cc
M  +10   -1    krita/ui/kra/kis_kra_loader.cpp
M  +11   -2    krita/ui/kra/kis_kra_savexml_visitor.cpp

http://commits.kde.org/calligra/596c2c22c61648a3d0a09a318ea25c350a649164